API integration
Processing Only mode uses dedicated HUB2 API endpoints, distinct from the standard aggregation model. The main difference is that transactions are processed through your own provider accounts instead of the HUB2 aggregated accounts. The available endpoints are documented here:Delegation API
Authentication
Your integration uses the same HUB2 API keys, but the key must have the following permissions:Api.delegated_payment_createApi.delegated_transfer_create
Permissions configuration
Transaction flow
1. Transaction request
When you initiate a transaction, HUB2:- Validates the request: checks your API key and the request format.
- Routes it to the provider: sends the request to your configured provider account.
- Processes the transaction: executes it with your provider credentials.
- Returns the response: in the same format whatever the provider.
2. Provider processing
The transaction itself is processed directly by your provider:API endpoints
Processing Only mode uses dedicated creation endpoints. The read endpoints are the same as in the standard circuit.Payments
POST /delegated/payments: creates a payment with your provider account. Unlike a standard payment, there is no need to create a payment intent first: this single request creates the payment intent and attempts the payment. Example:
POST /delegated/payments/sync: creates a payment with your provider account in synchronous mode (see the synchronous circuit).GET /payments: lists payments (same endpoint as for standard payments). SetisDelegated=trueto return only Processing Only payments. WithisDelegated,fromis required and the range must be shorter than one year, otherwise the API returns a400error.GET /payments/{id}/status: returns the status of a payment (same endpoint as for standard payments).
Payments integration guide
Transfers
POST /delegated/transfers: creates a transfer with your provider account. Only the endpoint differs from a standard transfer request. Example:
POST /delegated/transfers/irt: creates an IRT transfer with your provider account.GET /transfers: lists transfers (same endpoint as for standard transfers).GET /transfers/{id}/status: returns the status of a transfer (same endpoint as for standard transfers).
